Subject: Re: bug#30092: Compose key behaviour is incorrect when locale is set to Esperanto

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 04 Feb 2021 14:45:50 +0100

Carmen Bianca Bakker <[email-masked]> writes:

> I am running into an unusual bug of sorts.  That is: The behaviour of
> the compose key is incorrect when the locale is set to "eo"
> (Esperanto).  The exact behaviour is as follows:
>
> - When running `XMODIFIERS="" emacs`, `<MULTI_KEY> a e` does not produce æ.  It
>   simply produces nothing.  `<MULTI_KEY> ' e` correctly produces é, however.

(I'm going through old bug reports that unfortunately got no response at
the time.)

This bug is still present in Emacs 28 -- I reproduced it with

XMODIFIERS="" LC_ALL=eo ./src/emacs -Q

(after defining the "eo" locale on this laptop).

Before I go poking into this any further -- has anybody else here on the
mailing list encountered this problem before?

> - When running `XMODIFIERS=@im=ibus emacs` (my default), simply pressing the
>   compose key results in `<MULTI_KEY> is undefined`.

This doesn't seem to happen any more, though.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no